# Webhooks

Webhooks can be added or updated through [Settings](/reference/settings.md) > [Integration](/reference/settings/integration.md) > [Webhooks](/reference/settings/integration/webhooks.md).

{% hint style="info" %}
**Tip** For a more in-depth introduction to the webhooks-feature read our tutorials for webhooks here: [How to use Webhooks](/tutorials/guides/how-to-use-webhooks.md)
{% endhint %}

### View webook

Webhooks are shown directly in the webhooks page.

### Find webhook

1. Click column header Title or other
2. Type value to search for

{% hint style="info" %}
**Tip** To read about how to search more effectively, read here: [Search help](/reference/pim/search/search-help.md)
{% endhint %}

### Add a new webhook

1. Click "+ Create webhook"
2. Set Title along with [additional details](/reference/settings/integration/webhooks/webhook-details.md)
3. Click "Save"

### Edit webhook

1. Click "Edit"-icon
2. Modify the [webhook details](/reference/settings/integration/webhooks/webhook-details.md)
3. Click "Save"

### Delete webhook

1. Click "Delete"-icon
2. Confirm deletion

### View webhook requests

Click "View webhook requests"-icon to open a list of webhook requests

### Swap to grid view

Click "Grid"-icon or use the keyboard shortcut ctrl+shift+g

### Swap to table view

Click "Table"-icon or use the keyboard shortcut ctrl+shift+h

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/reference/settings/integration/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
